package com.buy507.mall.model;

import java.io.Serializable;
import java.util.Date;

/**
 * 会员银行账户表
 */
public class DmsMemberBankAccount implements Serializable {

	private static final long serialVersionUID = -3481743302726613086L;

	private Long id;
	
	private Long memberId;
	
	private String accountName;
	
	private String bankName;
	
	private String bankCardNum;
	
	private String openBankAddress;
	
	private DefaultStatus defaultStatus;
	
	// 更新时间
	private Date updateTime;

	// 创建时间
	private Date createTime;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getMemberId() {
		return memberId;
	}

	public void setMemberId(Long memberId) {
		this.memberId = memberId;
	}

	public String getAccountName() {
		return accountName;
	}

	public void setAccountName(String accountName) {
		this.accountName = accountName;
	}

	public String getBankName() {
		return bankName;
	}

	public void setBankName(String bankName) {
		this.bankName = bankName;
	}

	public String getBankCardNum() {
		return bankCardNum;
	}

	public void setBankCardNum(String bankCardNum) {
		this.bankCardNum = bankCardNum;
	}

	public String getOpenBankAddress() {
		return openBankAddress;
	}

	public void setOpenBankAddress(String openBankAddress) {
		this.openBankAddress = openBankAddress;
	}

	public DefaultStatus getDefaultStatus() {
		return defaultStatus;
	}

	public void setDefaultStatus(DefaultStatus defaultStatus) {
		this.defaultStatus = defaultStatus;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

}
